
Redmine - Defect #18499

Localisation not set correctly on authenticity token errors

2014-11-29 14:03 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.6.0

Description

Associated revisions

Revision 13670 - 2014-11-29 16:16 - Jean-Philippe Lang

Localisation not set correctly on authenticity token errors (#18499).

Patch by Felix Schäfer.

Revision 13800 - 2014-12-26 11:42 - Jean-Philippe Lang

Merged r13670 (#18499).

History

#1 - 2014-11-29 14:07 - Felix Schäfer

- File 18499.patch added

This error was discovered on Planio. The attached patch fixes the problem and adds a test to make sure it stays that way.

Maybe set_localization should even be called at the end of logged_user= to make sure a user change also changes the locale? (I haven't tested that

though).

#2 - 2014-11-29 16:39 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.1

- Resolution set to Fixed

Patch committed in r13670, thanks.

Felix Schäfer wrote:

Maybe set_localization should even be called at the end of logged_user= to make sure a user change also changes the locale? (I haven't tested

that though).

 Not sure it would improve things, most #logged_user= are followed by a redirect. And #set_localization would still have to be called in a few places.

#3 - 2014-11-29 21:51 - Felix Schäfer

Thanks for the quick merge!

#4 - 2014-12-01 10:59 - Denis Savitskiy

Pity, it doesn't help in 2.6.0develop

#5 - 2014-12-26 11:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://plan.io
https://www.redmine.org/projects/redmine/repository/svn/revisions/13670


Files

18499.patch 1.28 KB 2014-11-29 Felix Schäfer
